
<!doctype html>
<html lang="es" class="no-js">
  <head>
    
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width,initial-scale=1">
      
      
      
      <link rel="icon" href="../../assets/images/logo.png">
      <meta name="generator" content="mkdocs-1.3.0, mkdocs-material-8.2.9">
    
    
      
        <title>Estructura y Sintaxis de Un programa - Programación en Java</title>
      
    
    
      <link rel="stylesheet" href="../../assets/stylesheets/main.120efc48.min.css">
      
        
        <link rel="stylesheet" href="../../assets/stylesheets/palette.9647289d.min.css">
        
          
          
          <meta name="theme-color" content="#ef5552">
        
      
    
    
    
      
        
        
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,300i,400,400i,700,700i%7CRoboto+Mono:400,400i,700,700i&display=fallback">
        <style>:root{--md-text-font:"Roboto";--md-code-font:"Roboto Mono"}</style>
      
    
    
    <script>__md_scope=new URL("../..",location),__md_get=(e,_=localStorage,t=__md_scope)=>JSON.parse(_.getItem(t.pathname+"."+e)),__md_set=(e,_,t=localStorage,a=__md_scope)=>{try{t.setItem(a.pathname+"."+e,JSON.stringify(_))}catch(e){}}</script>
    
      

    
    
  </head>
  
  
    
    
    
    
    
    <body dir="ltr" data-md-color-scheme="" data-md-color-primary="red" data-md-color-accent="cyan">
  
    
    
    <input class="md-toggle" data-md-toggle="drawer" type="checkbox" id="__drawer" autocomplete="off">
    <input class="md-toggle" data-md-toggle="search" type="checkbox" id="__search" autocomplete="off">
    <label class="md-overlay" for="__drawer"></label>
    <div data-md-component="skip">
      
        
        <a href="#estructura-y-sintaxis-de-un-programa" class="md-skip">
          Saltar a contenido
        </a>
      
    </div>
    <div data-md-component="announce">
      
    </div>
    
    
      

<header class="md-header" data-md-component="header">
  <nav class="md-header__inner md-grid" aria-label="Cabecera">
    <a href="../.." title="Programación en Java" class="md-header__button md-logo" aria-label="Programación en Java" data-md-component="logo">
      
  
  <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M22 9V7h-2V5a2 2 0 0 0-2-2H4a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-2h2v-2h-2v-2h2v-2h-2V9h2m-4 10H4V5h14v14M6 13h5v4H6v-4m6-6h4v3h-4V7M6 7h5v5H6V7m6 4h4v6h-4v-6Z"/></svg>

    </a>
    <label class="md-header__button md-icon" for="__drawer">
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M3 6h18v2H3V6m0 5h18v2H3v-2m0 5h18v2H3v-2Z"/></svg>
    </label>
    <div class="md-header__title" data-md-component="header-title">
      <div class="md-header__ellipsis">
        <div class="md-header__topic">
          <span class="md-ellipsis">
            Programación en Java
          </span>
        </div>
        <div class="md-header__topic" data-md-component="header-topic">
          <span class="md-ellipsis">
            
              Estructura y Sintaxis de Un programa
            
          </span>
        </div>
      </div>
    </div>
    
    
    
      <label class="md-header__button md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5Z"/></svg>
      </label>
      <div class="md-search" data-md-component="search" role="dialog">
  <label class="md-search__overlay" for="__search"></label>
  <div class="md-search__inner" role="search">
    <form class="md-search__form" name="search">
      <input type="text" class="md-search__input" name="query" aria-label="Búsqueda" placeholder="Búsqueda" autocapitalize="off" autocorrect="off" autocomplete="off" spellcheck="false" data-md-component="search-query" required>
      <label class="md-search__icon md-icon" for="__search">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M9.5 3A6.5 6.5 0 0 1 16 9.5c0 1.61-.59 3.09-1.56 4.23l.27.27h.79l5 5-1.5 1.5-5-5v-.79l-.27-.27A6.516 6.516 0 0 1 9.5 16 6.5 6.5 0 0 1 3 9.5 6.5 6.5 0 0 1 9.5 3m0 2C7 5 5 7 5 9.5S7 14 9.5 14 14 12 14 9.5 12 5 9.5 5Z"/></svg>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M20 11v2H8l5.5 5.5-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5 8 11h12Z"/></svg>
      </label>
      <nav class="md-search__options" aria-label="Search">
        
        <button type="reset" class="md-search__icon md-icon" aria-label="Limpiar" tabindex="-1">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M19 6.41 17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41Z"/></svg>
        </button>
      </nav>
      
    </form>
    <div class="md-search__output">
      <div class="md-search__scrollwrap" data-md-scrollfix>
        <div class="md-search-result" data-md-component="search-result">
          <div class="md-search-result__meta">
            Inicializando búsqueda
          </div>
          <ol class="md-search-result__list"></ol>
        </div>
      </div>
    </div>
  </div>
</div>
    
    
  </nav>
  
</header>
    
    <div class="md-container" data-md-component="container">
      
      
        
          
        
      
      <main class="md-main" data-md-component="main">
        <div class="md-main__inner md-grid">
          
            
              
              <div class="md-sidebar md-sidebar--primary" data-md-component="sidebar" data-md-type="navigation" >
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    


<nav class="md-nav md-nav--primary" aria-label="Navegación" data-md-level="0">
  <label class="md-nav__title" for="__drawer">
    <a href="../.." title="Programación en Java" class="md-nav__button md-logo" aria-label="Programación en Java" data-md-component="logo">
      
  
  <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"><path d="M22 9V7h-2V5a2 2 0 0 0-2-2H4a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2v-2h2v-2h-2v-2h2v-2h-2V9h2m-4 10H4V5h14v14M6 13h5v4H6v-4m6-6h4v3h-4V7M6 7h5v5H6V7m6 4h4v6h-4v-6Z"/></svg>

    </a>
    Programación en Java
  </label>
  
  <ul class="md-nav__list" data-md-scrollfix>
    
      
      
      

  
  
  
    <li class="md-nav__item">
      <a href="../.." class="md-nav__link">
        Principal
      </a>
    </li>
  

    
      
      
      

  
  
  
    
    <li class="md-nav__item md-nav__item--nested">
      
      
        <input class="md-nav__toggle md-toggle" data-md-toggle="__nav_2" type="checkbox" id="__nav_2" >
      
      
      
      
        <label class="md-nav__link" for="__nav_2">
          Conceptos Generales
          <span class="md-nav__icon md-icon"></span>
        </label>
      
      <nav class="md-nav" aria-label="Conceptos Generales" data-md-level="1">
        <label class="md-nav__title" for="__nav_2">
          <span class="md-nav__icon md-icon"></span>
          Conceptos Generales
        </label>
        <ul class="md-nav__list" data-md-scrollfix>
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../lenguajes/" class="md-nav__link">
        Lenguajes de Programación
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../conceptos/" class="md-nav__link">
        Conceptos de Programación
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../disenoAlgoritmos/" class="md-nav__link">
        Diseño de Algoritmos
      </a>
    </li>
  

            
          
            
              
  
  
  
    <li class="md-nav__item">
      <a href="../EstructurasControl/" class="md-nav__link">
        Estructuras de Control
      </a>
    </li>
  

            
          
        </ul>
      </nav>
    </li>
  

    
  </ul>
</nav>
                  </div>
                </div>
              </div>
            
            
              
              <div class="md-sidebar md-sidebar--secondary" data-md-component="sidebar" data-md-type="toc" >
                <div class="md-sidebar__scrollwrap">
                  <div class="md-sidebar__inner">
                    

<nav class="md-nav md-nav--secondary" aria-label="Tabla de contenidos">
  
  
  
    
  
  
    <label class="md-nav__title" for="__toc">
      <span class="md-nav__icon md-icon"></span>
      Tabla de contenidos
    </label>
    <ul class="md-nav__list" data-md-component="toc" data-md-scrollfix>
      
        <li class="md-nav__item">
  <a href="#1-identificadores" class="md-nav__link">
    1. Identificadores
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#2-palabras-claves" class="md-nav__link">
    2. Palabras Claves
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#3-variables" class="md-nav__link">
    3. Variables
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#4-constantes" class="md-nav__link">
    4. Constantes
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#5-operadores" class="md-nav__link">
    5. Operadores
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#6-expresiones" class="md-nav__link">
    6. Expresiones
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#7-funciones" class="md-nav__link">
    7. Funciones
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#8-inicio-cierre" class="md-nav__link">
    8. Inicio - Cierre
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#9-indentacion" class="md-nav__link">
    9. Indentación
  </a>
  
</li>
      
        <li class="md-nav__item">
  <a href="#10-comentarios" class="md-nav__link">
    10. Comentarios
  </a>
  
</li>
      
    </ul>
  
</nav>
                  </div>
                </div>
              </div>
            
          
          <div class="md-content" data-md-component="content">
            <article class="md-content__inner md-typeset">
              
                


<h1 id="estructura-y-sintaxis-de-un-programa">Estructura y Sintaxis de Un programa</h1>
<h2 id="1-identificadores">1. Identificadores</h2>
<p>Elemento léxico de un lenguaje de programación, que sirve para identificar elementos o entidades dentro de un programa. Se puede decir que el identificador es el nombre de un elemento. A considerar:</p>
<ul>
<li>Un identificador debe comenzar siempre con una letra</li>
<li>Las comillas (""), el guión (-) y los espacios en blanco, no se utilizan en los identificadores.</li>
</ul>
<h2 id="2-palabras-claves">2. Palabras Claves</h2>
<p>Es un identificador, pero que ha sido definido por el lenguaje y no por el programador, por lo tanto no puede ser usado en un elemento definido por el programador.</p>
<h2 id="3-variables">3. Variables</h2>
<p>Elemento definido por el usuario que modifica su valor a través de la ejecución del programa. El nombre de una variable está dado por un identificador.</p>
<h2 id="4-constantes">4. Constantes</h2>
<p>Elemento definido por el usuario que no modifica su valor a través de la ejecución del programa. El nombre de una constante está dado por un identificador.</p>
<h2 id="5-operadores">5. Operadores</h2>
<p>Símbolos que indican cómo deben manejarse determinados elementos (operandos) dentro de un programa, es decir, como deben relacionarse estos elementos en una instrucción. Los operandos pueden ser constantes, variables o llamados a funciones. Existen operadores aritméticos, relacionales y lógicos.</p>
<table>
<thead>
<tr>
<th>Aritmeticas</th>
<th align="center"></th>
</tr>
</thead>
<tbody>
<tr>
<td>suma</td>
<td align="center">+</td>
</tr>
<tr>
<td>Resta</td>
<td align="center">-</td>
</tr>
<tr>
<td>Multiplicación</td>
<td align="center">*</td>
</tr>
<tr>
<td>division</td>
<td align="center">/</td>
</tr>
<tr>
<td>Resto</td>
<td align="center">%</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Relacionales</th>
<th align="center"></th>
</tr>
</thead>
<tbody>
<tr>
<td>Mayor que</td>
<td align="center">&gt;</td>
</tr>
<tr>
<td>Mayor o Igual que</td>
<td align="center">&gt;=</td>
</tr>
<tr>
<td>Menor que</td>
<td align="center">&lt;</td>
</tr>
<tr>
<td>Menor o Igual que</td>
<td align="center">&lt;=</td>
</tr>
<tr>
<td>Igual</td>
<td align="center">==</td>
</tr>
<tr>
<td>Distintos</td>
<td align="center">!=</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Lógicos</th>
<th align="center"></th>
</tr>
</thead>
<tbody>
<tr>
<td>AND</td>
<td align="center">&amp;&amp;</td>
</tr>
<tr>
<td>OR</td>
<td align="center"><code>||</code></td>
</tr>
<tr>
<td>NOT</td>
<td align="center">!</td>
</tr>
</tbody>
</table>
<h2 id="6-expresiones">6. Expresiones</h2>
<p>Es la unión de los operandos con los operadores. Por ejemplo:
<div class="highlight"><pre><span></span><code><a id="__codelineno-0-1" name="__codelineno-0-1" href="#__codelineno-0-1"></a>y = x + z
<a id="__codelineno-0-2" name="__codelineno-0-2" href="#__codelineno-0-2"></a>x &gt;= y
<a id="__codelineno-0-3" name="__codelineno-0-3" href="#__codelineno-0-3"></a>(x &lt; z ) &amp;&amp; (y &gt;= x + z)
</code></pre></div></p>
<h2 id="7-funciones">7. Funciones</h2>
<p>Son un conjunto de sentencias e instrucciones enfocadas a dar solución a un problema específico dentro del programa. Las funciones pueden ser utilizadas muchas veces durante la ejecución de un programa. Existen dos grupos de Funciones, Las funciones intrínsecas y las funciones definidas por el usuario.</p>
<p>Las primeras se refieren a aquellas funciones que están incorporadas en el lenguaje de programación, como por ejemplo la función raíz cuadrada o la función potencia, las cuales ya vienen definidas en el lenguaje de programación, por lo que no se necesitan que se construyan. Las segundas se refieren a aquellas funciones que construye un usuario para dar solución a un problema específico, por ejemplo una función que calcule el sueldo del trabajador a partir de sus datos (cargo, comisiones, bonos, descuentos, etc.).</p>
<p>La sintaxis de una función es:
<div class="highlight"><pre><span></span><code><a id="__codelineno-1-1" name="__codelineno-1-1" href="#__codelineno-1-1"></a>Identificador_Función(argumentos)
</code></pre></div>
El argumento de una función, son aquellos valores que la función necesita para calcular un valor.</p>
<table>
<thead>
<tr>
<th>nombre Funcion</th>
<th align="center">Ejemplo Java</th>
</tr>
</thead>
<tbody>
<tr>
<td>Raiz cuadrada</td>
<td align="center">sqrt(var)</td>
</tr>
<tr>
<td>Potencia</td>
<td align="center">pow(var)</td>
</tr>
<tr>
<td>Seno</td>
<td align="center">sen(var)</td>
</tr>
<tr>
<td>Coseno</td>
<td align="center">cos(var)</td>
</tr>
</tbody>
</table>
<h2 id="8-inicio-cierre">8. Inicio - Cierre</h2>
<p>Se refiere a la identificación del comienzo o término de un bloque de código que se encuentra dentro de una misma estructura. Ya sea el inicio-cierre de un programa, de un ciclo o de una estructura de control selectiva.</p>
<h2 id="9-indentacion">9. Indentación</h2>
<p>Se refiere al uso de la sangría dentro del código, para ordenar y mejorar la legibilidad del programa. Consiste en mover bloques de código hacia la derecha a través de espacios o tabulaciones.</p>
<div class="highlight"><pre><span></span><code><a id="__codelineno-2-1" name="__codelineno-2-1" href="#__codelineno-2-1"></a>Instrucción 1
<a id="__codelineno-2-2" name="__codelineno-2-2" href="#__codelineno-2-2"></a>Instrucción 2
<a id="__codelineno-2-3" name="__codelineno-2-3" href="#__codelineno-2-3"></a>    Instrucción 3
<a id="__codelineno-2-4" name="__codelineno-2-4" href="#__codelineno-2-4"></a>Instrucción 4
</code></pre></div>
<h2 id="10-comentarios">10. Comentarios</h2>
<p>Texto que se utiliza para describir determinados bloques de instrucciones dentro del programa. Por lo general se utilizan para explicar la función o tarea de un determinado código. Lo que se encuentra entre comentario no es revisado por el compilador.
En JAVA existen tres formas de realizar comentarios, denominados comentarios de implementación.</p>
<ul>
<li>Utilizando los símbolos //, este tipo de comentario abarca una línea, por ejemplo en java
<div class="highlight"><pre><span></span><code><a id="__codelineno-3-1" name="__codelineno-3-1" href="#__codelineno-3-1"></a>// Este es un comentario de una línea
</code></pre></div></li>
<li>
<p>Utilizando los símbolos <code>/* */</code>, este tipo de comentario abarca más de una línea, por ejemplo en java
<div class="highlight"><pre><span></span><code><a id="__codelineno-4-1" name="__codelineno-4-1" href="#__codelineno-4-1"></a>/* comentario que abarca más de una línea,
<a id="__codelineno-4-2" name="__codelineno-4-2" href="#__codelineno-4-2"></a>el final lo marca el símbolo */
</code></pre></div></p>
</li>
<li>
<p>Utilizando el símbolo <code>/**</code> hasta <code>*/</code>, este tipo de comentarios sirve para documentar el programa y generar un reporte HTML utilizando herramientas de documentación como JAVADOC. Por ejemplo en java</p>
</li>
</ul>
<div class="highlight"><pre><span></span><code><a id="__codelineno-5-1" name="__codelineno-5-1" href="#__codelineno-5-1"></a>/** Comentario estilo javadoc, se incluye
<a id="__codelineno-5-2" name="__codelineno-5-2" href="#__codelineno-5-2"></a>Automáticamente en documentación HTML */
</code></pre></div>

              
            </article>
          </div>
        </div>
        
      </main>
      
        <footer class="md-footer">
  
  <div class="md-footer-meta md-typeset">
    <div class="md-footer-meta__inner md-grid">
      <div class="md-copyright">
  
    <div class="md-copyright__highlight">
      Copyright &copy; 2022 Francisco Escobar
    </div>
  
  
    Made with
    <a href="https://squidfunk.github.io/mkdocs-material/" target="_blank" rel="noopener">
      Material for MkDocs
    </a>
  
</div>
      
    </div>
  </div>
</footer>
      
    </div>
    <div class="md-dialog" data-md-component="dialog">
      <div class="md-dialog__inner md-typeset"></div>
    </div>
    <script id="__config" type="application/json">{"base": "../..", "features": ["content.tabs.link"], "search": "../../assets/javascripts/workers/search.2a1c317c.min.js", "translations": {"clipboard.copied": "Copiado al portapapeles", "clipboard.copy": "Copiar al portapapeles", "search.config.lang": "es", "search.config.pipeline": "trimmer, stopWordFilter", "search.config.separator": "[\\s\\-]+", "search.placeholder": "B\u00fasqueda", "search.result.more.one": "1 m\u00e1s en esta p\u00e1gina", "search.result.more.other": "# m\u00e1s en esta p\u00e1gina", "search.result.none": "No se encontraron documentos", "search.result.one": "1 documento encontrado", "search.result.other": "# documentos encontrados", "search.result.placeholder": "Teclee para comenzar b\u00fasqueda", "search.result.term.missing": "Falta", "select.version.title": "Seleccionar versi\u00f3n"}}</script>
    
    
      <script src="../../assets/javascripts/bundle.6e54b5cd.min.js"></script>
      
    
  </body>
</html>